Package org.eclipse.birt.chart.model.data.impl

# Class SeriesDefinitionImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.data.impl.SeriesDefinitionImpl

All Implemented Interfaces:
  `SeriesDefinition`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class SeriesDefinitionImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements SeriesDefinition
An implementation of the model object ' Series Definition'.

The following features are implemented:

- `Query`
- `Series Palette`
- `Series Definitions`
- `Format Specifier`
- `Series`
- `Grouping`
- `Sorting`
- `Sort Key`
- `Sort Locale`
- `Sort Strength`
- `ZOrder`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.data.SeriesDefinition

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetQuery(Query newQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSeriesPalette(Palette newSeriesPalette, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSortKey(Query newSortKey, org.eclipse.emf.common.notify.NotificationChain msgs)`
`SeriesDefinition`
`copyInstance()`
`static final SeriesDefinition`
`create()`
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written
`static final SeriesDefinition`
`createDefault()`
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`final Series`
`getDesignTimeSeries()`
`FormatSpecifier`
`getFormatSpecifier()`
`SeriesGrouping`
`getGrouping()`
`Query`
`getQuery()`
`final List<Series>`
`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<Series>`
`getSeries()`
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
`Palette`
`getSeriesPalette()`
`SortOption`
`getSorting()`
`Query`
`getSortKey()`
`String`
`getSortLocale()`
`int`
`getSortStrength()`
`int`
`getZOrder()`
`boolean`
`isSetSorting()`
`boolean`
`isSetSortStrength()`
`boolean`
`isSetZOrder()`
`void`
`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
`setGrouping(SeriesGrouping newGrouping)`
`void`
`setQuery(Query newQuery)`
`void`
`setSeriesPalette(Palette newSeriesPalette)`
`void`
`setSorting(SortOption newSorting)`
`void`
`setSortKey(Query newSortKey)`
`void`
`setSortLocale(String newSortLocale)`
`void`
`setSortStrength(int newSortStrength)`
`void`
`setZOrder(int newZOrder)`
`String`
`toString()`
`void`
`unsetSorting()`
`void`
`unsetSortStrength()`
`void`
`unsetZOrder()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getQuery

public Query getQuery()

Specified by:
  `getQuery` in interface `SeriesDefinition`
Returns:
  the value of the 'Query' containment reference.
See Also:
  - `SeriesDefinition.setQuery(Query)`
  - `DataPackage.getSeriesDefinition_Query()`

### basicSetQuery

public org.eclipse.emf.common.notify.NotificationChain basicSetQuery(Query newQuery, org.eclipse.emf.common.notify.NotificationChain msgs)

### setQuery

public void setQuery(Query newQuery)

Specified by:
  `setQuery` in interface `SeriesDefinition`
Parameters:
  `newQuery` - the new value of the 'Query' containment reference.
See Also:
  - `SeriesDefinition.getQuery()`

### getSeriesPalette

public Palette getSeriesPalette()

Specified by:
  `getSeriesPalette` in interface `SeriesDefinition`
Returns:
  the value of the 'Series Palette' containment reference.
See Also:
  - `SeriesDefinition.setSeriesPalette(Palette)`
  - `DataPackage.getSeriesDefinition_SeriesPalette()`

### basicSetSeriesPalette

public org.eclipse.emf.common.notify.NotificationChain basicSetSeriesPalette(Palette newSeriesPalette, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSeriesPalette

public void setSeriesPalette(Palette newSeriesPalette)

Specified by:
  `setSeriesPalette` in interface `SeriesDefinition`
Parameters:
  `newSeriesPalette` - the new value of the 'Series Palette' containment reference.
See Also:
  - `SeriesDefinition.getSeriesPalette()`

### getSeriesDefinitions

public org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()

Specified by:
  `getSeriesDefinitions` in interface `SeriesDefinition`
Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `DataPackage.getSeriesDefinition_SeriesDefinitions()`

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `SeriesDefinition`
Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `SeriesDefinition.setFormatSpecifier(FormatSpecifier)`
  - `DataPackage.getSeriesDefinition_FormatSpecifier()`

### basicSetFormatSpecifier

public org.eclipse.emf.common.notify.NotificationChain basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatSpecifier

public void setFormatSpecifier(FormatSpecifier newFormatSpecifier)

Specified by:
  `setFormatSpecifier` in interface `SeriesDefinition`
Parameters:
  `newFormatSpecifier` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `SeriesDefinition.getFormatSpecifier()`

### getSeries

public org.eclipse.emf.common.util.EList<Series> getSeries()

Specified by:
  `getSeries` in interface `SeriesDefinition`
Returns:
  the value of the 'Series' containment reference list.
See Also:
  - `DataPackage.getSeriesDefinition_Series()`

### getGrouping

public SeriesGrouping getGrouping()

Specified by:
  `getGrouping` in interface `SeriesDefinition`
Returns:
  the value of the 'Grouping' containment reference.
See Also:
  - `SeriesDefinition.setGrouping(SeriesGrouping)`
  - `DataPackage.getSeriesDefinition_Grouping()`

### basicSetGrouping

public org.eclipse.emf.common.notify.NotificationChain basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)

### setGrouping

public void setGrouping(SeriesGrouping newGrouping)

Specified by:
  `setGrouping` in interface `SeriesDefinition`
Parameters:
  `newGrouping` - the new value of the 'Grouping' containment reference.
See Also:
  - `SeriesDefinition.getGrouping()`

### getSorting

public SortOption getSorting()

Specified by:
  `getSorting` in interface `SeriesDefinition`
Returns:
  the value of the 'Sorting' attribute.
See Also:
  - `SortOption`
  - `SeriesDefinition.isSetSorting()`
  - `SeriesDefinition.unsetSorting()`
  - `SeriesDefinition.setSorting(SortOption)`
  - `DataPackage.getSeriesDefinition_Sorting()`

### setSorting

public void setSorting(SortOption newSorting)

Specified by:
  `setSorting` in interface `SeriesDefinition`
Parameters:
  `newSorting` - the new value of the 'Sorting' attribute.
See Also:
  - `SortOption`
  - `SeriesDefinition.isSetSorting()`
  - `SeriesDefinition.unsetSorting()`
  - `SeriesDefinition.getSorting()`

### unsetSorting

public void unsetSorting()

Specified by:
  `unsetSorting` in interface `SeriesDefinition`
See Also:
  - `SeriesDefinition.isSetSorting()`
  - `SeriesDefinition.getSorting()`
  - `SeriesDefinition.setSorting(SortOption)`

### isSetSorting

public boolean isSetSorting()

Specified by:
  `isSetSorting` in interface `SeriesDefinition`
Returns:
  whether the value of the 'Sorting' attribute is set.
See Also:
  - `SeriesDefinition.unsetSorting()`
  - `SeriesDefinition.getSorting()`
  - `SeriesDefinition.setSorting(SortOption)`

### getSortKey

public Query getSortKey()

Specified by:
  `getSortKey` in interface `SeriesDefinition`
Returns:
  the value of the 'Sort Key' containment reference.
See Also:
  - `SeriesDefinition.setSortKey(Query)`
  - `DataPackage.getSeriesDefinition_SortKey()`

### basicSetSortKey

public org.eclipse.emf.common.notify.NotificationChain basicSetSortKey(Query newSortKey, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSortKey

public void setSortKey(Query newSortKey)

Specified by:
  `setSortKey` in interface `SeriesDefinition`
Parameters:
  `newSortKey` - the new value of the 'Sort Key' containment reference.
See Also:
  - `SeriesDefinition.getSortKey()`

### getSortLocale

public String getSortLocale()

Specified by:
  `getSortLocale` in interface `SeriesDefinition`
Returns:
  the value of the 'Sort Locale' attribute.
See Also:
  - `SeriesDefinition.setSortLocale(String)`
  - `DataPackage.getSeriesDefinition_SortLocale()`

### setSortLocale

public void setSortLocale(String newSortLocale)

Specified by:
  `setSortLocale` in interface `SeriesDefinition`
Parameters:
  `newSortLocale` - the new value of the 'Sort Locale' attribute.
See Also:
  - `SeriesDefinition.getSortLocale()`

### getSortStrength

public int getSortStrength()

Specified by:
  `getSortStrength` in interface `SeriesDefinition`
Returns:
  the value of the 'Sort Strength' attribute.
See Also:
  - `SeriesDefinition.isSetSortStrength()`
  - `SeriesDefinition.unsetSortStrength()`
  - `SeriesDefinition.setSortStrength(int)`
  - `DataPackage.getSeriesDefinition_SortStrength()`

### setSortStrength

public void setSortStrength(int newSortStrength)

Specified by:
  `setSortStrength` in interface `SeriesDefinition`
Parameters:
  `newSortStrength` - the new value of the 'Sort Strength' attribute.
See Also:
  - `SeriesDefinition.isSetSortStrength()`
  - `SeriesDefinition.unsetSortStrength()`
  - `SeriesDefinition.getSortStrength()`

### unsetSortStrength

public void unsetSortStrength()

Specified by:
  `unsetSortStrength` in interface `SeriesDefinition`
See Also:
  - `SeriesDefinition.isSetSortStrength()`
  - `SeriesDefinition.getSortStrength()`
  - `SeriesDefinition.setSortStrength(int)`

### isSetSortStrength

public boolean isSetSortStrength()

Specified by:
  `isSetSortStrength` in interface `SeriesDefinition`
Returns:
  whether the value of the 'Sort Strength' attribute is set.
See Also:
  - `SeriesDefinition.unsetSortStrength()`
  - `SeriesDefinition.getSortStrength()`
  - `SeriesDefinition.setSortStrength(int)`

### getZOrder

public int getZOrder()

Specified by:
  `getZOrder` in interface `SeriesDefinition`
Returns:
  the value of the 'ZOrder' attribute.
See Also:
  - `SeriesDefinition.isSetZOrder()`
  - `SeriesDefinition.unsetZOrder()`
  - `SeriesDefinition.setZOrder(int)`
  - `DataPackage.getSeriesDefinition_ZOrder()`

### setZOrder

public void setZOrder(int newZOrder)

Specified by:
  `setZOrder` in interface `SeriesDefinition`
Parameters:
  `newZOrder` - the new value of the 'ZOrder' attribute.
See Also:
  - `SeriesDefinition.isSetZOrder()`
  - `SeriesDefinition.unsetZOrder()`
  - `SeriesDefinition.getZOrder()`

### unsetZOrder

public void unsetZOrder()

Specified by:
  `unsetZOrder` in interface `SeriesDefinition`
See Also:
  - `SeriesDefinition.isSetZOrder()`
  - `SeriesDefinition.getZOrder()`
  - `SeriesDefinition.setZOrder(int)`

### isSetZOrder

public boolean isSetZOrder()

Specified by:
  `isSetZOrder` in interface `SeriesDefinition`
Returns:
  whether the value of the 'ZOrder' attribute is set.
See Also:
  - `SeriesDefinition.unsetZOrder()`
  - `SeriesDefinition.getZOrder()`
  - `SeriesDefinition.setZOrder(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final SeriesDefinition create()
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written

Returns:

### createDefault

public static final SeriesDefinition createDefault()
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written

Returns:

### getDesignTimeSeries

public final Series getDesignTimeSeries()

Specified by:
  `getDesignTimeSeries` in interface `SeriesDefinition`
Returns:
  The design-time series associated with the series definition

### getRunTimeSeries

public final List<Series> getRunTimeSeries()

Specified by:
  `getRunTimeSeries` in interface `SeriesDefinition`
Returns:
  The runtime-time series' associated with the series definition

### copyInstance

public SeriesDefinition copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `SeriesDefinition`